.#{$prefix}-c-masthead {
  position: fixed;
  top: 0;
  display: flex;
  width: 100%;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 25px;

  .#{$prefix}-u-theme--dark & {
    border-bottom: 1px solid $palette--pickled-bluewood;
    background-color: $palette--vulcan;
    box-shadow: inset 0 -1px $palette--mirage;
    color: $palette--porcelain;
  }

  .#{$prefix}-u-theme--light & {
    border-bottom: 1px solid $palette--athens-gray;
    background-color: $palette--porcelain;
    box-shadow: inset 0 -1px $palette--mischka;
    color: $palette--pickled-bluewood;
  }

  @include mq('desktop') {
    position: relative;
  }

  &__headline {
    overflow: hidden;
    padding-right: 20px;
    font-size: 22px;
    font-weight: 700;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  &__toggle {
    display: flex;
    flex-direction: row;

    & > * {
      &:not(:last-child) {
        margin-right: 10px;
      }
    }
  }
}
